package com.pms.ocp.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pms.ocp.model.dto.PageGroupDto;
import com.pms.ocp.model.entity.OcpApiGroup;

import java.util.List;


public interface OcpApiTreeService extends IService<OcpApiGroup> {

    /**
     * 服务树分类
     */
    List<OcpApiGroup> getByGroup(Long apiGroupPromotionType,String apiGroupCode);

    /**
     * 新增服务分类
     */
    boolean insertTree(OcpApiGroup ocpApiGroup);


      /*
      修改服务分类
       */


    boolean updataOcpTree(OcpApiGroup ocpApiGroup);

    /**
     * 删除服务分类
     */
    boolean deleteOcpTree(OcpApiGroup ocpApiGroup);

   /* *//**
     * 服务列表分级查询
     * @param
     *//*
    List<OcpApiGroup>  getOnePage(int pageSize, int pageNum, int apiGroupLevel);*/


    /**
     * 服务列表分级查询
     * @param pageGroupDto
     * @return
     */
    Page<OcpApiGroup> getOnePages(PageGroupDto pageGroupDto);

}
